_type: prompt
input_variables:
- my_json_resume
- job_description
- company_summary
- full_cv
- honest_life_context
- additional_info
- career_consultant_opinion
metadata:
  name: tailored_resume
optional_variables: []
output_parser:
partial_variables: {}
tags:
template: |+
  You are an expert resume tailor who specializes in optimizing resumes for specific job applications. Given the following inputs, create a tailored resume in JSON format that maximizes the candidate's chances of getting the job.

  **Instructions:**
  - Take the provided JSON resume and modify it to better align with the job description and company context
  - Emphasize relevant skills, experiences, and achievements that match the job requirements
  - Use keywords and terminology from the job description where appropriate and honest
  - Maintain the same JSON structure as the input resume
  - Be truthful - do not fabricate experiences or skills, but optimize the presentation of existing ones
  - Consider the career consultant's opinion when making decisions about what to emphasize

  **Job Description:**
  ```
  {job_description}
  ```

  **Company Context:**
  ```
  {company_summary}
  ```

  **Current JSON Resume to Tailor:**
  ```json
  {my_json_resume}
  ```

  **Full CV for Reference:**
  ```
  {full_cv}
  ```

  **Personal Context:**
  ```
  {honest_life_context}
  ```

  **Additional Information:**
  ```
  {additional_info}
  ```

  **Career Consultant Opinion:**
  ```
  {career_consultant_opinion}
  ```

  **Output Requirements:**
  Return ONLY a valid JSON object in the same structure as the input resume, with tailored content that better matches the job requirements. Do not include any explanatory text before or after the JSON.

template_format: f-string
validate_template: false